org.apache.cassandra.net

## Class MessageOut<T>

- java.lang.Object
- - org.apache.cassandra.net.MessageOut<T>

    public class MessageOut<T>
    extends java.lang.Object

### Field Summary

Fields
`java.net.InetAddress` `from`
`java.util.Map<java.lang.String,byte[]>` `parameters`
`T` `payload`
`IVersionedSerializer<T>` `serializer`
`MessagingService.Verb` `verb`

### Constructor Summary

Constructors
Constructor and Description
`MessageOut(java.net.InetAddress from, MessagingService.Verb verb, T payload, IVersionedSerializer<T> serializer, java.util.Map<java.lang.String,byte[]> parameters)`
`MessageOut(MessagingService.Verb verb)`
`MessageOut(MessagingService.Verb verb, T payload, IVersionedSerializer<T> serializer)`

### Method Summary

Methods
`Stage` `getStage()`
`long` `getTimeout()`
`void` `serialize(java.io.DataOutputStream out, int version)`
`int` `serializedSize(int version)`
`java.lang.String` `toString()`
`MessageOut<T>` `withParameter(java.lang.String key, byte[] value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### from

    public final java.net.InetAddress from

#### verb

    public final MessagingService.Verb verb

#### payload

    public final T payload

#### serializer

    public final IVersionedSerializer<T> serializer

#### parameters

    public final java.util.Map<java.lang.String,byte[]> parameters

### Constructor Detail

#### MessageOut

    public MessageOut(MessagingService.Verb verb)

#### MessageOut

    public MessageOut(MessagingService.Verb verb,
              T payload,
              IVersionedSerializer<T> serializer)

#### MessageOut

    public MessageOut(java.net.InetAddress from,
              MessagingService.Verb verb,
              T payload,
              IVersionedSerializer<T> serializer,
              java.util.Map<java.lang.String,byte[]> parameters)

### Method Detail

#### withParameter

    public MessageOut<T> withParameter(java.lang.String key,
                              byte[] value)

#### getStage

    public Stage getStage()

#### getTimeout

    public long getTimeout()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### serialize

    public void serialize(java.io.DataOutputStream out,
                 int version)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public int serializedSize(int version)